﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using DXTools.UI.Core;
using Microsoft.Practices.Unity;

namespace DXTools.UI.Modules.Statistics
{
    public class ModuleInit : IModule
    {
        private readonly IRegionManager _regionManager;
        private readonly IUnityContainer _container;

        public ModuleInit(IUnityContainer container,IRegionManager regionManager)
        {
            this._container = container;
            this._regionManager = regionManager;
        }

        public void Initialize()
        {
            RegisterViewsAndServices();
            _regionManager.RegisterViewWithRegion(RegionNames.TOOLBAR_REGION, typeof(Views.ToolbarView));
            
        }

        protected void RegisterViewsAndServices()
        {
            
            
        }

    }
}
